---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: github-ssh-access
  namespace: ci
spec:
  refreshInterval: 1h
  secretStoreRef:
    name: cluster-parameter-store
    kind: ClusterSecretStore
  target:
    name: github-ssh-access
    template:
      metadata:
        labels:
          "jenkins.io/credentials-type": "basicSSHUserPrivateKey"
        annotations:
          "jenkins.io/credentials-description": "github-ssh-access key"
  data:
    - secretKey: username
      remoteRef:
        key: /service/github/sshUserPrivateKeyUserName
    - secretKey: privateKey
      remoteRef:
        key: /service/github/sshUserPrivateKey

